jQuery(function() {
    function PrintNumber(value){
        var re = /([0-9]+)(\.([0-9]+))?/i;
        if (re.test(value)) {
            value=Math.round(value*100)/100  ;
            var nValue = re.exec(value);
            if (nValue) {
                var whole = 0;
                var fract = '00';
                if (nValue[1]) whole = nValue[1];
                if (nValue[2]) fract = nValue[2].substring(1,3);
                if(fract.length==0){
                    fract= '00';
                }else if(fract.length==1){
                    fract=fract+'0';
                }
                var nWhole = '';
                for (var i = 1; whole.length >= i; i++) {
                    if (i > 1 & i % 3 == 1) nWhole = ' ' + nWhole
                    nWhole = whole.charAt(whole.length - i) + nWhole;
                }
                return (nWhole + ',' + fract);
            }
        }
        return value;
    }
    jQuery('#show_calc').click(function() {
        jQuery('.prop').hide();
        jQuery('.nonprop').hide();
        jQuery('.disputetype').show();
        setPositions();
        addShadow();
    });
    jQuery('#link_prop').click(function() {
        jQuery('.nonprop').hide();
        jQuery('.disputetype').hide();
        jQuery('.prop').fadeIn('slow');
        setPositions();
        addShadow();
    }); 
    jQuery('#link_nonprop').click(function() {
        jQuery('.prop').hide();
        jQuery('.disputetype').hide();
        jQuery('.nonprop').fadeIn('slow');
        setPositions();
        addShadow();
    });
    function addShadow() {
        if (jQuery('#shadow').length) {
            return;
        }
        jQuery('body').prepend('<div style="background:#000;opacity:0.5;filter: alpha(opacity=50);position:absolute;z-index:99;" id="shadow"></div>')
        jQuery('#shadow').css('width', jQuery(document).width()+'px');
        jQuery('#shadow').css('height', jQuery(document).height()+'px');
    }
    function setPositions() {
        jQuery('.propshadow').css('width', jQuery(document).width()+'px');
        jQuery('.propshadow').css('height', jQuery(document).height()+'px');
        jQuery('.prop').css('top', jQuery(window).scrollTop() + jQuery(window).height() / 2 - jQuery('.prop').height() / 2);
        jQuery('.prop').css('left', jQuery(window).width() / 2 - jQuery('.prop').width() / 2);
        jQuery('.nonprop').css('top', jQuery(window).scrollTop() + jQuery(window).height() / 2 - jQuery('.nonprop').height() / 2);
        jQuery('.nonprop').css('left', jQuery(window).width() / 2 - jQuery('.nonprop').width() / 2);
        jQuery('.disputetype').css('top', jQuery(window).scrollTop() + jQuery(window).height() / 2 - jQuery('.disputetype').height() / 2);
        jQuery('.disputetype').css('left', jQuery(window).width() / 2 - jQuery('.disputetype').width() / 2);
    }
    jQuery('#prop_submit').click(function() {
        var sum  = jQuery('#prop_sum').val()*1;
        if (isNaN(sum)) {
            alert('Формат ввода неверен. Пример: 10000.50');
            return false;
        }
        sum = Math.round((sum * 100) / 100);
        var duty = 0;
        if (sum <= 100000) {
            duty = Math.max(2000, sum * 0.04);
        } else if (sum > 100000 && sum <= 200000) {
            duty = 4000  + (sum - 100000) * 0.03;
        } else if (sum > 200000 && sum <= 1000000) {
            duty = 7000 + (sum - 200000) * 0.02;
        } else if (sum > 1000000 && sum <= 2000000) {
            duty = 23000 + (sum - 1000000) * 0.01;
        } else if (sum > 2000000){
            duty = Math.min(200000, 33000 + (sum - 2000000) * 0.005);
        }
        jQuery('#prop_result').html('<font color="#aeaeae">При сумме иска <b>'+PrintNumber(sum)+' руб.<br></b></font>государственная пошлина составляет <b>'+PrintNumber(duty)+' руб.</b>');
    });
    jQuery('#prop_close').click(function() { jQuery('.prop').fadeOut('slow', function() { jQuery('#shadow').remove(); }); });
    jQuery('#disputetype_close').click(function() { jQuery('.disputetype').fadeOut('slow', function() { jQuery('#shadow').remove(); }); });
    jQuery('#nonprop_close').click(function() { jQuery('.nonprop').fadeOut('slow', function() { jQuery('#shadow').remove(); } ); });
    jQuery('input[name=nonprop]').click(function() {
        var id = jQuery('input[name=nonprop]:checked').val();
        if (id == 1) duty = 4000;
        if (id == 2) duty = 200;
        if (id == 3) duty = 2000;
        if (id == 4) duty = 4000;
        if (id == 5) duty = 4000;
        if (id == 6) duty = 2000;
        if (id == 7) duty = 2000;
        if (id == 8) duty = 2000;
        if (id == 9) duty = 2000;
        if (id == 10) duty = 2000;
        jQuery('#nonprop_result').html('<font color="red">Для выбранной классификации неимущественного спора</font><br>государственная пошлина составляет <b>'+PrintNumber(duty)+' Руб.</b>');
    });
});;
